<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
               "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>spectrum, threads</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css">
a {
	color: blue; 
	cursor: pointer;
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	text-decoration: none;
	font-size: 10pt;
}

a:visited {
	color: blue; 
	cursor: pointer;
	font-weight: normal;
	font-style: italic;
	text-decoration: underline;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
}


h1 {
	color: black; 
	font-weight: bold;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

h2 {
	color: black; 
	font-weight: bold;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

p {
	color: black; 
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

.also {
	color: black; 
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

li {
	color: black; 
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

.e {
	color: red; 
	font-style: italic;
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

.v {
	color: red; 
	font-style: normal;
	font-weight: bold;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}


PRE {
	margin:0px;
	display:inline
}

td {
	color: black; 
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
}
</style>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table>
<tr>
<td align="left" valign="top"><h1>spectrum, threads</h1>
<h2>Syntax</h2>
<p>The value of this paramter is a non-zero, positive integer in the range of 
<span class="v">1</span> to <span class="v">16</span>.</p>
<h2>Notes</h2>
<ol>
<li>If the value is set &lt; 1, the value <span class="v">1</span> is substituted.</li>
<li>If the value is set &gt; 16, the value <span class="v">16</span> is substituted.</li>
<li>For best performance, this value should be set equal to the number of processors on
the computer being used to run X! TANDEM.</li>

</ol>
<h2>Description</h2>
<p>If a computer has more than one processor, many programs are designed to use only one
processor at a time. This type of program is referred to as being &quot;single threaded&quot;. TANDEM
is designed to use multiple processors simultaneously to increase the speed of the calculation: this
type of program is referred to as &quot;multithreaded&quot;.</p>
<p>TANDEM is written to be quite efficient at utilizing any processor as much as possible. Therefore,
using multiple threads is only helpful if there are spare processors available: using more than
one thread per processor may actually decrease performance. Also, each thread requires the same amount of
memory, so running an unnecessarily large number of threads can produce problems resulting using more
memory than a processor has available to it. 

<hr align="left" width="200">

<br><br><a href="index.html">X! TANDEM API description project</a>
</td></tr></table>
</body>
</html>
